当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 14 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : Dapper下LumaQQ不能启动(已解决)
帖子发表于 : 2006-06-01 13:16 

注册: 2005-10-03 14:13
帖子: 273
地址: Tokushima, Japan
送出感谢: 0 次
接收感谢: 1
装了Dapper,现在越到的问题很多,先是不能装cedega,需要xlibs,xlibs在源里又找不到。
现在装LumaQQ,装好了不能启动,提示
Exception in thread "main" java.lang.NoClassDefFoundError: edu.tsinghua.lumaqq.qq.QQClient
at java.lang.Class.initializeClass(libgcj.so.7)
at edu.tsinghua.lumaqq.LumaQQ.main(LumaQQ.java:137)
Caused by: java.lang.ClassNotFoundException: java.util.Queue not found in gnu.gcj.runtime.SystemClassLoader{urls=[file:/opt/LumaQQ/lib/xerces.jar,file:/opt/LumaQQ/lib/swt.jar,file:/opt/LumaQQ/lib/poifs.jar,file:/opt/LumaQQ/lib/org.eclipse.ui.workbench_3.1.0.jar,file:/opt/LumaQQ/lib/org.eclipse.osgi_3.1.0.jar,file:/opt/LumaQQ/lib/org.eclipse.jface_3.1.0.jar,file:/opt/LumaQQ/lib/org.eclipse.emf.ecore.xmi_2.1.0.jar,file:/opt/LumaQQ/lib/org.eclipse.emf.ecore_2.1.0.jar,file:/opt/LumaQQ/lib/org.eclipse.emf.common_2.1.0.jar,file:/opt/LumaQQ/lib/org.eclipse.core.runtime_3.1.0.jar,file:/opt/LumaQQ/lib/org.eclipse.core.resources_3.1.0.jar,file:/opt/LumaQQ/lib/lumaqq_xsd.jar,file:/opt/LumaQQ/lib/lumaqq_template.jar,file:/opt/LumaQQ/lib/lumaqq.jar,file:/opt/LumaQQ/lib/log4j-1.2.8.jar,file:/opt/LumaQQ/lib/jql_protocol.jar,file:/opt/LumaQQ/lib/jql_net.jar,file:/opt/LumaQQ/lib/je.jar,file:/opt/LumaQQ/lib/jdom.jar,file:/opt/LumaQQ/lib/commons-logging.jar,file:/opt/LumaQQ/lib/commons-codec.jar,file:./], parent=gnu.gcj.runtime.ExtensionClassLoader{urls=[], parent=null}}
at java.net.URLClassLoader.findClass(libgcj.so.7)
at java.lang.ClassLoader.loadClass(libgcj.so.7)
at java.lang.ClassLoader.loadClass(libgcj.so.7)
at java.lang.Class.initializeClass(libgcj.so.7)
...1 more

安装的是LumaQQ2005,java已经装好了,有遇到相同问题的么?


最后由 Vstar 编辑于 2006-06-02 17:48,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-06-02 0:55 

注册: 2006-04-26 1:23
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
一样的遭遇 。。。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-06-02 8:27 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
java -vervion

看看你的版本,lumaqq需要java1.5的版本


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-06-02 17:45 

注册: 2005-10-03 14:13
帖子: 273
地址: Tokushima, Japan
送出感谢: 0 次
接收感谢: 1
已经解决了,由于Dapper里面的java目录和Breezy的目录不一样,所以不能按新手指南里面的设
可以这样
sudo apt-get install sun-java5-jre
sudo ln -sf /usr/lib/jvm/java-1.5.0-sun-1.5.0.06/jre/bin/java /usr/bin/java

下面的和新手指南里的一样


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-06-07 0:36 

注册: 2006-06-04 1:04
帖子: 19
地址: 江苏
送出感谢: 0 次
接收感谢: 0 次
6.06下用新兰德更新成功,不过还要
sudo ln -sf /usr/lib/jvm/java-1.5.0-sun-1.5.0.06/jre/bin/java /usr/bin/java


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-06-07 23:52 

注册: 2006-06-06 16:59
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
我也一样!楼上的方法我也做了!也不行!但是LUMAQQ安好了就不能再卸了吗?


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-06-08 10:43 
头像

注册: 2006-03-16 16:29
帖子: 315
送出感谢: 0 次
接收感谢: 0 次
我的启动之后一点登录就什么也看不到了


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-06-08 23:07 

注册: 2005-12-03 15:07
帖子: 30
送出感谢: 0 次
接收感谢: 0 次
sudo update-alternatives --config java

选择3,不过得先升级到java1.5.0


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2006-06-09 0:41 

注册: 2006-06-06 16:59
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
一样的!没变化!!!


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2006-06-09 5:50 

注册: 2006-03-10 15:31
帖子: 39
送出感谢: 0 次
接收感谢: 0 次
按照5楼说的方法解决了,谢谢大家。


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2006-06-10 10:25 

注册: 2006-04-07 8:23
帖子: 36
送出感谢: 0 次
接收感谢: 0 次
pstinghua@pstinghua-laptop:~$ java -version
java version "1.5.0_06"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05)
Java HotSpot(TM) Client VM (build 1.5.0_06-b05, mixed mode, sharing)
pstinghua@pstinghua-laptop:~$

我的JVM已经对的啊,可我点图标后,根本什么都没出来呢,郁闷,这又是什么情况呀?


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2006-06-11 4:39 
头像

注册: 2006-02-23 14:46
帖子: 436
地址: 上海
送出感谢: 0 次
接收感谢: 1
pstinghua 写道:
pstinghua@pstinghua-laptop:~$ java -version
java version "1.5.0_06"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05)
Java HotSpot(TM) Client VM (build 1.5.0_06-b05, mixed mode, sharing)
pstinghua@pstinghua-laptop:~$

我的JVM已经对的啊,可我点图标后,根本什么都没出来呢,郁闷,这又是什么情况呀?


试试:
代码:
rm -rf ~/.LumaQQ


这个方法对很多软件都是有效的,因此如果某个软件莫名其妙不能使用,包括 gnome 桌面环境,都可以通过这样的方法删除它们的配置文件来解决。
祝成功


_________________
====
dubuntu-6.06-livecd-i386正式版正式完工!
====
*支持LiveCD硬盘启动
*Linux 2.6.15-23-686
*永中Office 2007
*LumaQQ+OpenQ+cycloneQQ
**N 多的编程及调试工具**


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2006-06-14 11:05 

注册: 2006-04-22 2:59
帖子: 43
送出感谢: 0 次
接收感谢: 0 次
怎么还是这么多的问题呀!
前几年QQ就不太好用,现在还是这样!哎,就因为这个原因,我特别的恨腾迅公司,这个垃圾公司从不给中国、开源出点力,只知道吻Windows的屁股!
坚决不用QQ!


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2006-06-14 23:37 

注册: 2006-01-11 16:27
帖子: 72
送出感谢: 0 次
接收感谢: 0 次
haige 写道:
我的启动之后一点登录就什么也看不到了


  和你的一样,解决了没?共享吧。。。 :oops:


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 14 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译